boost::geometry::resolve_strategy::centroid< Geometry > Struct Template Reference

List of all members.

## Static Public Member Functions

template<typename Point , typename Strategy >
static void | apply (Geometry const &geometry, Point &out, Strategy const &strategy)
template<typename Point >
static void | apply (Geometry const &geometry, Point &out, default_strategy)

### template<typename Geometry>
struct boost::geometry::resolve_strategy::centroid< Geometry >

## Member Function Documentation

template<typename Geometry >
template<typename Point , typename Strategy >

static void boost::geometry::resolve_strategy::centroid< Geometry >::apply | ( | Geometry const & | geometry,
|  | Point & | out,
|  | Strategy const & | strategy
| ) |  | `[static]`

template<typename Geometry >
template<typename Point >

static void boost::geometry::resolve_strategy::centroid< Geometry >::apply | ( | Geometry const & | geometry,
|  | Point & | out,
|  | default_strategy |
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK